# module ActionDispatch::Http::Cache::Response

### Constants

CACHE_CONTROL
DEFAULT_CACHE_CONTROL
ETAG
LAST_MODIFIED
MUST_REVALIDATE
NO_CACHE
PRIVATE
PUBLIC

### Attributes

cache_control[R]
etag[R]
etag?[R]

### Public Instance Methods

etag=(etag) click to toggle source

    # File lib/action_dispatch/http/cache.rb, line 63
    def etag=(etag)
      key = ActiveSupport::Cache.expand_cache_key(etag)
      @etag = self[ETAG] = %Q("#{Digest::MD5.hexdigest(key)}")
    end

last_modified() click to toggle source

    # File lib/action_dispatch/http/cache.rb, line 49
    def last_modified
      if last = headers[LAST_MODIFIED]
        Time.httpdate(last)
      end
    end

last_modified=(utc_time) click to toggle source

    # File lib/action_dispatch/http/cache.rb, line 59
    def last_modified=(utc_time)
      headers[LAST_MODIFIED] = utc_time.httpdate
    end

last_modified?() click to toggle source

    # File lib/action_dispatch/http/cache.rb, line 55
    def last_modified?
      headers.include?(LAST_MODIFIED)
    end